Bug 251423 - net-mgmt/zabbix52-agent: Add support for Modbus items
Summary: net-mgmt/zabbix52-agent: Add support for Modbus items
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mikael Urankar
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-27 09:02 UTC by Christian Ullrich
Modified: 2020-12-04 17:58 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (pg)


Attachments
Patch (1.18 KB, text/plain)
2020-11-27 09:02 UTC, Christian Ullrich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Ullrich 2020-11-27 09:02:33 UTC
Created attachment 220029 [details]
Patch

Zabbix 5.2 added agent support for retrieving values via Modbus {TCP,RTU}. This patch adds the necessary options to the port.
Comment 1 pg 2020-12-03 08:53:11 UTC
Comment on attachment 220029 [details]
Patch

Approved, thanks!
Comment 2 commit-hook freebsd_committer 2020-12-04 17:57:57 UTC
A commit references this bug:

Author: mikael
Date: Fri Dec  4 17:57:33 UTC 2020
New revision: 556995
URL: https://svnweb.freebsd.org/changeset/ports/556995

Log:
  net-mgmt/zabbix52-agent: Add support for Modbus items

  PR:		251423
  Submitted by:	Christian Ullrich
  Approved by:	pg@pakhom.spb.ru (maintainer)

Changes:
  head/net-mgmt/zabbix52-agent/Makefile
  head/net-mgmt/zabbix52-server/Makefile
Comment 3 Mikael Urankar freebsd_committer 2020-12-04 17:58:32 UTC
Thanks!